This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 688527 - RFE: Allow to go back and reconfigure network settings during the install process
RFE: Allow to go back and reconfigure network settings during the install pro...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 06:11 EDT by Karel Srot
Modified: 2011-05-26 16:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-26 16:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2011-03-17 06:11:29 EDT
Description of problem:

At the moment, RHEL6 installation process is a bit weird. If I make a mistake during the network configuration, the installation will fail on downloading installation images. I am propted to enter valid URL with installation images but this is useless in case my network is not properly configured.
At this moment, I cannot "go back" to the network setup dialog and check/update the network settings. On the other hand, I can go back to tha "Choose language" dialog (IMHO not very useful at this point).

Therefore I think it would be useful to be able to re-set network settings.

Version-Release number of selected component (if applicable):


How reproducible:
always, install RHEL6.1 via network and enter e.g. invalid dns server
Comment 1 David Cantrell 2011-05-26 16:08:27 EDT
Changes to network configuration workflow during installation need to be addressed in Fedora first.  RHEL-6's state transition flow in anaconda does not easily allow us to let users change their network settings.  The general requirement during installation over the network is to keep using that network to complete installation.  We are working on a UI overhaul to address state transition flow in anaconda, which will most likely incorporate improvements to the network configuration steps during installation...possibly similar to the one you describe.
Comment 2 RHEL Product and Program Management 2011-05-26 16:25:04 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.